Charge¶
Charge - Create NRE Charges (With Percentage Rent Charges)¶
HTTP Request
POST /api/percentage-rent-charges
📋 Description: Creates a new percentage rent charge entry within the Nakisa Portfolio Management Suite, enabling accurate tracking and analytics of rental agreements for real estate properties in your portfolio.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the percentage rent charge details, including asset identifiers and financial metrics, essential for portfolio analytics within the Nakisa Portfolio Management Suite. |
Body Parameters
1[
2 {
3 "dueDate": "2019-08-24",
4 "name": "string",
5 "expenseCategoryId": 0,
6 "balance": 0,
7 "activationGroupId": 0,
8 "vendorPaymentSplits": [
9 {
10 "percentage": 0,
11 "calculateTax": true,
12 "taxExemptionPercentage": 0,
13 "partner": {
14 "id": 0,
15 "displayId": "string",
16 "status": "CREATED",
17 "name": "string",
18 "erpSystemDisplayId": "string"
19 },
20 "partnerRole": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string"
25 },
26 "taxCodeDetermination": {
27 "id": 0,
28 "displayId": "string",
29 "companyId": 0,
30 "partnerId": 0,
31 "taxJurisdictionId": 0,
32 "taxJurisdictionDisplayId": "string",
33 "defaultTaxCodeId": 0,
34 "defaultTaxCodeDisplayId": "string",
35 "defaultExemptionTaxCodeId": 0,
36 "defaultExemptionTaxCodeDisplayId": "string",
37 "defaultExemptionPercentage": 0,
38 "mapping": {
39 "isLeaseExpense": true,
40 "nonLeaseTaxCodeId": 0,
41 "nonLeaseTaxCodeDisplayId": "string",
42 "nonLeaseExemptionTaxCodeId": 0,
43 "nonLeaseExemptionTaxCodeDisplayId": "string",
44 "nonLeaseExemptionTaxPercentage": 0.1,
45 "principalTaxCodeId": 0,
46 "principalTaxCodeDisplayId": "string",
47 "principalExemptionTaxCodeId": 0,
48 "principalExemptionTaxCodeDisplayId": "string",
49 "principalExemptionTaxPercentage": 0.1
50 }
51 }
52 }
53 ],
54 "reconciledExpenseSegmentId": 0,
55 "percentageRentRuleCalculationId": 0
56 }
57]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "name": "string",
6 "description": "string",
7 "dueDate": "2019-08-24",
8 "amount": 0.1,
9 "hasPostedDocument": true,
10 "fiscalYear": 0,
11 "fiscalPeriod": 0,
12 "expenseCategory": {
13 "id": 0,
14 "displayId": "string",
15 "status": "CREATED",
16 "name": "string",
17 "expenseCategoryType": "PAYMENT"
18 },
19 "unitId": 0,
20 "unitDisplayId": "string",
21 "activationGroupId": 0,
22 "vendorPaymentSplits": [
23 {
24 "percentage": 0,
25 "calculateTax": true,
26 "taxExemptionPercentage": 0,
27 "partner": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "erpSystemDisplayId": "string"
33 },
34 "partnerRole": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string"
39 },
40 "taxCodeDetermination": {
41 "id": 0,
42 "displayId": "string",
43 "companyId": 0,
44 "partnerId": 0,
45 "taxJurisdictionId": 0,
46 "taxJurisdictionDisplayId": "string",
47 "defaultTaxCodeId": 0,
48 "defaultTaxCodeDisplayId": "string",
49 "defaultExemptionTaxCodeId": 0,
50 "defaultExemptionTaxCodeDisplayId": "string",
51 "defaultExemptionPercentage": 0,
52 "mapping": {
53 "isLeaseExpense": true,
54 "nonLeaseTaxCodeId": 0,
55 "nonLeaseTaxCodeDisplayId": "string",
56 "nonLeaseExemptionTaxCodeId": 0,
57 "nonLeaseExemptionTaxCodeDisplayId": "string",
58 "nonLeaseExemptionTaxPercentage": 0.1,
59 "principalTaxCodeId": 0,
60 "principalTaxCodeDisplayId": "string",
61 "principalExemptionTaxCodeId": 0,
62 "principalExemptionTaxCodeDisplayId": "string",
63 "principalExemptionTaxPercentage": 0.1
64 }
65 }
66 }
67 ],
68 "numberRangeIdentifierType": {
69 "name": "string"
70 },
71 "numberRangeIdentifierValue": "string",
72 "allowsSystemGenerateNewId": true,
73 "numberRangeType": {
74 "name": "string"
75 }
76 }
77]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a charge associated with a portfolio asset within the Nakisa Portfolio Management Suite, facilitating analytics and reporting for real estate properties.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» displayId |
string |
false |
none |
Unique identifier for the display |
» name |
string |
true |
none |
Name of the resource |
» description |
string |
false |
none |
Description of the resource |
» dueDate |
string(date) |
true |
none |
Due date of the resource |
» amount |
number(double) |
true |
none |
Amount value |
» hasPostedDocument |
boolean |
false |
none |
Whether the resource has has posted document |
» fiscalYear |
integer(int64) |
false |
none |
Numeric value representing fiscalYear |
» fiscalPeriod |
integer(int64) |
false |
none |
Numeric value representing fiscalPeriod |
» expenseCategory |
true |
none |
Data transfer object representing a simplified categorization of expenses within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics for real estate properties. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» status |
string |
false |
none |
Status of the resource |
»» name |
string |
false |
none |
Name of the resource |
»» expenseCategoryType |
string |
false |
none |
Type of the expense category |
» unitId |
integer(int64) |
true |
none |
Unique identifier for the unit |
» unitDisplayId |
string |
false |
none |
Unique identifier for the unit display |
» activationGroupId |
integer(int64) |
true |
none |
Unique identifier for the activation group |
» vendorPaymentSplits |
false |
none |
List of vendorPaymentSplits items |
|
»» percentage |
number |
false |
none |
Percentage value |
»» calculateTax |
boolean |
false |
none |
Boolean flag indicating calculateTax status |
»» taxExemptionPercentage |
number |
false |
none |
Percentage of tax exemption |
»» partner |
false |
none |
Data transfer object representing a streamlined partner profile within the Nakisa Portfolio Management Suite, encompassing essential details for portfolio, asset, and analytics management in the real estate property sector. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» status |
string |
false |
none |
Status of the resource |
»»» name |
string |
false |
none |
Name of the resource |
»»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»» partnerRole |
false |
none |
Data transfer object representing a simplified view of a partner’s role within the Nakisa Portfolio Management Suite, facilitating insights into portfolio, asset, and real estate property analytics. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» status |
string |
false |
none |
Status of the resource |
»»» name |
string |
false |
none |
Name of the resource |
»» taxCodeDetermination |
false |
none |
Data transfer object representing the details of tax code determination for assets within the Nakisa Portfolio Management Suite, facilitating accurate tax analytics and compliance for real estate properties in the portfolio. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»»» partnerId |
integer(int64) |
false |
none |
none |
»»» taxJurisdictionId |
integer(int64) |
false |
none |
Unique identifier for the tax jurisdiction |
»»» taxJurisdictionDisplayId |
string |
false |
none |
Unique identifier for the tax jurisdiction display |
»»» defaultTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the default tax code |
»»» defaultTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the default tax code display |
»»» defaultExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the default exemption tax code |
»»» defaultExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the default exemption tax code display |
»»» defaultExemptionPercentage |
number |
false |
none |
Percentage of default exemption |
»»» mapping |
false |
none |
Data transfer object representing the mapping of tax codes to expense categories within the Nakisa Portfolio Management Suite, facilitating accurate financial analytics and reporting for real estate property portfolios. |
|
»»»» isLeaseExpense |
boolean |
false |
none |
Whether the resource is lease expense |
»»»» nonLeaseTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the non lease tax code |
»»»» nonLeaseTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the non lease tax code display |
»»»» nonLeaseExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the non lease exemption tax code |
»»»» nonLeaseExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the non lease exemption tax code display |
»»»» nonLeaseExemptionTaxPercentage |
number(double) |
false |
none |
Percentage of non lease exemption tax |
»»»» principalTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the principal tax code |
»»»» principalTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the principal tax code display |
»»»» principalExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the principal exemption tax code |
»»»» principalExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the principal exemption tax code display |
»»»» principalExemptionTaxPercentage |
number(double) |
false |
none |
Percentage of principal exemption tax |
» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»» name |
string |
false |
none |
Name of the resource |
» numberRangeIdentifierValue |
string |
false |
none |
Represents a unique string value that identifies a specific range of numbers associated with assets within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics in real estate property management. |
» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
»» name |
string |
true |
none |
Name of the resource |
Enumerated Values
Attribute |
Value |
|---|---|
expenseCategoryType |
CASH_INCENTIVE, CASUALTY, EXPECTED_GRV, INCENTIVE, NON_LEASE, PAYMENT, PURCHASE_OPTION, TERMINATION_OPTION |
status |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
Charge - Create NRE Charges¶
HTTP Request
POST /api/nre-charges
📋 Description: Creates new non-revenue expense charges within the Nakisa Portfolio Management Suite, enabling users to effectively manage and analyze costs associated with real estate properties and assets in their portfolio.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the details of non-revenue expenses associated with portfolio assets, including relevant financial metrics and analytics for real estate properties. |
Body Parameters
1[
2 {
3 "dueDate": "2019-08-24",
4 "name": "string",
5 "expenseCategoryId": 0,
6 "balance": 0,
7 "activationGroupId": 0,
8 "vendorPaymentSplits": [
9 {
10 "percentage": 0,
11 "calculateTax": true,
12 "taxExemptionPercentage": 0,
13 "partner": {
14 "id": 0,
15 "displayId": "string",
16 "status": "CREATED",
17 "name": "string",
18 "erpSystemDisplayId": "string"
19 },
20 "partnerRole": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string"
25 },
26 "taxCodeDetermination": {
27 "id": 0,
28 "displayId": "string",
29 "companyId": 0,
30 "partnerId": 0,
31 "taxJurisdictionId": 0,
32 "taxJurisdictionDisplayId": "string",
33 "defaultTaxCodeId": 0,
34 "defaultTaxCodeDisplayId": "string",
35 "defaultExemptionTaxCodeId": 0,
36 "defaultExemptionTaxCodeDisplayId": "string",
37 "defaultExemptionPercentage": 0,
38 "mapping": {
39 "isLeaseExpense": true,
40 "nonLeaseTaxCodeId": 0,
41 "nonLeaseTaxCodeDisplayId": "string",
42 "nonLeaseExemptionTaxCodeId": 0,
43 "nonLeaseExemptionTaxCodeDisplayId": "string",
44 "nonLeaseExemptionTaxPercentage": 0.1,
45 "principalTaxCodeId": 0,
46 "principalTaxCodeDisplayId": "string",
47 "principalExemptionTaxCodeId": 0,
48 "principalExemptionTaxCodeDisplayId": "string",
49 "principalExemptionTaxPercentage": 0.1
50 }
51 }
52 }
53 ],
54 "reconciledExpenseSegmentId": 0,
55 "percentageRentRuleCalculationId": 0
56 }
57]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "name": "string",
6 "description": "string",
7 "dueDate": "2019-08-24",
8 "amount": 0.1,
9 "hasPostedDocument": true,
10 "fiscalYear": 0,
11 "fiscalPeriod": 0,
12 "expenseCategory": {
13 "id": 0,
14 "displayId": "string",
15 "status": "CREATED",
16 "name": "string",
17 "expenseCategoryType": "PAYMENT"
18 },
19 "unitId": 0,
20 "unitDisplayId": "string",
21 "activationGroupId": 0,
22 "vendorPaymentSplits": [
23 {
24 "percentage": 0,
25 "calculateTax": true,
26 "taxExemptionPercentage": 0,
27 "partner": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "erpSystemDisplayId": "string"
33 },
34 "partnerRole": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string"
39 },
40 "taxCodeDetermination": {
41 "id": 0,
42 "displayId": "string",
43 "companyId": 0,
44 "partnerId": 0,
45 "taxJurisdictionId": 0,
46 "taxJurisdictionDisplayId": "string",
47 "defaultTaxCodeId": 0,
48 "defaultTaxCodeDisplayId": "string",
49 "defaultExemptionTaxCodeId": 0,
50 "defaultExemptionTaxCodeDisplayId": "string",
51 "defaultExemptionPercentage": 0,
52 "mapping": {
53 "isLeaseExpense": true,
54 "nonLeaseTaxCodeId": 0,
55 "nonLeaseTaxCodeDisplayId": "string",
56 "nonLeaseExemptionTaxCodeId": 0,
57 "nonLeaseExemptionTaxCodeDisplayId": "string",
58 "nonLeaseExemptionTaxPercentage": 0.1,
59 "principalTaxCodeId": 0,
60 "principalTaxCodeDisplayId": "string",
61 "principalExemptionTaxCodeId": 0,
62 "principalExemptionTaxCodeDisplayId": "string",
63 "principalExemptionTaxPercentage": 0.1
64 }
65 }
66 }
67 ],
68 "numberRangeIdentifierType": {
69 "name": "string"
70 },
71 "numberRangeIdentifierValue": "string",
72 "allowsSystemGenerateNewId": true,
73 "numberRangeType": {
74 "name": "string"
75 }
76 }
77]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a charge associated with a portfolio asset within the Nakisa Portfolio Management Suite, facilitating analytics and reporting for real estate properties.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» displayId |
string |
false |
none |
Unique identifier for the display |
» name |
string |
true |
none |
Name of the resource |
» description |
string |
false |
none |
Description of the resource |
» dueDate |
string(date) |
true |
none |
Due date of the resource |
» amount |
number(double) |
true |
none |
Amount value |
» hasPostedDocument |
boolean |
false |
none |
Whether the resource has has posted document |
» fiscalYear |
integer(int64) |
false |
none |
Numeric value representing fiscalYear |
» fiscalPeriod |
integer(int64) |
false |
none |
Numeric value representing fiscalPeriod |
» expenseCategory |
true |
none |
Data transfer object representing a simplified categorization of expenses within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics for real estate properties. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» status |
string |
false |
none |
Status of the resource |
»» name |
string |
false |
none |
Name of the resource |
»» expenseCategoryType |
string |
false |
none |
Type of the expense category |
» unitId |
integer(int64) |
true |
none |
Unique identifier for the unit |
» unitDisplayId |
string |
false |
none |
Unique identifier for the unit display |
» activationGroupId |
integer(int64) |
true |
none |
Unique identifier for the activation group |
» vendorPaymentSplits |
false |
none |
List of vendorPaymentSplits items |
|
»» percentage |
number |
false |
none |
Percentage value |
»» calculateTax |
boolean |
false |
none |
Boolean flag indicating calculateTax status |
»» taxExemptionPercentage |
number |
false |
none |
Percentage of tax exemption |
»» partner |
false |
none |
Data transfer object representing a streamlined partner profile within the Nakisa Portfolio Management Suite, encompassing essential details for portfolio, asset, and analytics management in the real estate property sector. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» status |
string |
false |
none |
Status of the resource |
»»» name |
string |
false |
none |
Name of the resource |
»»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»» partnerRole |
false |
none |
Data transfer object representing a simplified view of a partner’s role within the Nakisa Portfolio Management Suite, facilitating insights into portfolio, asset, and real estate property analytics. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» status |
string |
false |
none |
Status of the resource |
»»» name |
string |
false |
none |
Name of the resource |
»» taxCodeDetermination |
false |
none |
Data transfer object representing the details of tax code determination for assets within the Nakisa Portfolio Management Suite, facilitating accurate tax analytics and compliance for real estate properties in the portfolio. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»»» partnerId |
integer(int64) |
false |
none |
none |
»»» taxJurisdictionId |
integer(int64) |
false |
none |
Unique identifier for the tax jurisdiction |
»»» taxJurisdictionDisplayId |
string |
false |
none |
Unique identifier for the tax jurisdiction display |
»»» defaultTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the default tax code |
»»» defaultTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the default tax code display |
»»» defaultExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the default exemption tax code |
»»» defaultExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the default exemption tax code display |
»»» defaultExemptionPercentage |
number |
false |
none |
Percentage of default exemption |
»»» mapping |
false |
none |
Data transfer object representing the mapping of tax codes to expense categories within the Nakisa Portfolio Management Suite, facilitating accurate financial analytics and reporting for real estate property portfolios. |
|
»»»» isLeaseExpense |
boolean |
false |
none |
Whether the resource is lease expense |
»»»» nonLeaseTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the non lease tax code |
»»»» nonLeaseTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the non lease tax code display |
»»»» nonLeaseExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the non lease exemption tax code |
»»»» nonLeaseExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the non lease exemption tax code display |
»»»» nonLeaseExemptionTaxPercentage |
number(double) |
false |
none |
Percentage of non lease exemption tax |
»»»» principalTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the principal tax code |
»»»» principalTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the principal tax code display |
»»»» principalExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the principal exemption tax code |
»»»» principalExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the principal exemption tax code display |
»»»» principalExemptionTaxPercentage |
number(double) |
false |
none |
Percentage of principal exemption tax |
» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»» name |
string |
false |
none |
Name of the resource |
» numberRangeIdentifierValue |
string |
false |
none |
Represents a unique string value that identifies a specific range of numbers associated with assets within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics in real estate property management. |
» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
»» name |
string |
true |
none |
Name of the resource |
Enumerated Values
Attribute |
Value |
|---|---|
expenseCategoryType |
CASH_INCENTIVE, CASUALTY, EXPECTED_GRV, INCENTIVE, NON_LEASE, PAYMENT, PURCHASE_OPTION, TERMINATION_OPTION |
status |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
Charge - Create NRE Charges (With Lease Reconciliation Charges)¶
HTTP Request
POST /api/lease-reconciliation-charges
📋 Description: Submits lease reconciliation charges for assets within the Nakisa Portfolio Management Suite, enabling accurate financial analytics and portfolio management for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the lease reconciliation charge details, including asset identifiers, charge amounts, and associated metadata for effective portfolio and asset management analytics. |
Body Parameters
1[
2 {
3 "dueDate": "2019-08-24",
4 "name": "string",
5 "expenseCategoryId": 0,
6 "balance": 0,
7 "activationGroupId": 0,
8 "vendorPaymentSplits": [
9 {
10 "percentage": 0,
11 "calculateTax": true,
12 "taxExemptionPercentage": 0,
13 "partner": {
14 "id": 0,
15 "displayId": "string",
16 "status": "CREATED",
17 "name": "string",
18 "erpSystemDisplayId": "string"
19 },
20 "partnerRole": {
21 "id": 0,
22 "displayId": "string",
23 "status": "CREATED",
24 "name": "string"
25 },
26 "taxCodeDetermination": {
27 "id": 0,
28 "displayId": "string",
29 "companyId": 0,
30 "partnerId": 0,
31 "taxJurisdictionId": 0,
32 "taxJurisdictionDisplayId": "string",
33 "defaultTaxCodeId": 0,
34 "defaultTaxCodeDisplayId": "string",
35 "defaultExemptionTaxCodeId": 0,
36 "defaultExemptionTaxCodeDisplayId": "string",
37 "defaultExemptionPercentage": 0,
38 "mapping": {
39 "isLeaseExpense": true,
40 "nonLeaseTaxCodeId": 0,
41 "nonLeaseTaxCodeDisplayId": "string",
42 "nonLeaseExemptionTaxCodeId": 0,
43 "nonLeaseExemptionTaxCodeDisplayId": "string",
44 "nonLeaseExemptionTaxPercentage": 0.1,
45 "principalTaxCodeId": 0,
46 "principalTaxCodeDisplayId": "string",
47 "principalExemptionTaxCodeId": 0,
48 "principalExemptionTaxCodeDisplayId": "string",
49 "principalExemptionTaxPercentage": 0.1
50 }
51 }
52 }
53 ],
54 "reconciledExpenseSegmentId": 0,
55 "percentageRentRuleCalculationId": 0
56 }
57]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "displayId": "string",
5 "name": "string",
6 "description": "string",
7 "dueDate": "2019-08-24",
8 "amount": 0.1,
9 "hasPostedDocument": true,
10 "fiscalYear": 0,
11 "fiscalPeriod": 0,
12 "expenseCategory": {
13 "id": 0,
14 "displayId": "string",
15 "status": "CREATED",
16 "name": "string",
17 "expenseCategoryType": "PAYMENT"
18 },
19 "unitId": 0,
20 "unitDisplayId": "string",
21 "activationGroupId": 0,
22 "vendorPaymentSplits": [
23 {
24 "percentage": 0,
25 "calculateTax": true,
26 "taxExemptionPercentage": 0,
27 "partner": {
28 "id": 0,
29 "displayId": "string",
30 "status": "CREATED",
31 "name": "string",
32 "erpSystemDisplayId": "string"
33 },
34 "partnerRole": {
35 "id": 0,
36 "displayId": "string",
37 "status": "CREATED",
38 "name": "string"
39 },
40 "taxCodeDetermination": {
41 "id": 0,
42 "displayId": "string",
43 "companyId": 0,
44 "partnerId": 0,
45 "taxJurisdictionId": 0,
46 "taxJurisdictionDisplayId": "string",
47 "defaultTaxCodeId": 0,
48 "defaultTaxCodeDisplayId": "string",
49 "defaultExemptionTaxCodeId": 0,
50 "defaultExemptionTaxCodeDisplayId": "string",
51 "defaultExemptionPercentage": 0,
52 "mapping": {
53 "isLeaseExpense": true,
54 "nonLeaseTaxCodeId": 0,
55 "nonLeaseTaxCodeDisplayId": "string",
56 "nonLeaseExemptionTaxCodeId": 0,
57 "nonLeaseExemptionTaxCodeDisplayId": "string",
58 "nonLeaseExemptionTaxPercentage": 0.1,
59 "principalTaxCodeId": 0,
60 "principalTaxCodeDisplayId": "string",
61 "principalExemptionTaxCodeId": 0,
62 "principalExemptionTaxCodeDisplayId": "string",
63 "principalExemptionTaxPercentage": 0.1
64 }
65 }
66 }
67 ],
68 "numberRangeIdentifierType": {
69 "name": "string"
70 },
71 "numberRangeIdentifierValue": "string",
72 "allowsSystemGenerateNewId": true,
73 "numberRangeType": {
74 "name": "string"
75 }
76 }
77]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing a charge associated with a portfolio asset within the Nakisa Portfolio Management Suite, facilitating analytics and reporting for real estate properties.] |
|
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» displayId |
string |
false |
none |
Unique identifier for the display |
» name |
string |
true |
none |
Name of the resource |
» description |
string |
false |
none |
Description of the resource |
» dueDate |
string(date) |
true |
none |
Due date of the resource |
» amount |
number(double) |
true |
none |
Amount value |
» hasPostedDocument |
boolean |
false |
none |
Whether the resource has has posted document |
» fiscalYear |
integer(int64) |
false |
none |
Numeric value representing fiscalYear |
» fiscalPeriod |
integer(int64) |
false |
none |
Numeric value representing fiscalPeriod |
» expenseCategory |
true |
none |
Data transfer object representing a simplified categorization of expenses within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics for real estate properties. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» displayId |
string |
false |
none |
Unique identifier for the display |
»» status |
string |
false |
none |
Status of the resource |
»» name |
string |
false |
none |
Name of the resource |
»» expenseCategoryType |
string |
false |
none |
Type of the expense category |
» unitId |
integer(int64) |
true |
none |
Unique identifier for the unit |
» unitDisplayId |
string |
false |
none |
Unique identifier for the unit display |
» activationGroupId |
integer(int64) |
true |
none |
Unique identifier for the activation group |
» vendorPaymentSplits |
false |
none |
List of vendorPaymentSplits items |
|
»» percentage |
number |
false |
none |
Percentage value |
»» calculateTax |
boolean |
false |
none |
Boolean flag indicating calculateTax status |
»» taxExemptionPercentage |
number |
false |
none |
Percentage of tax exemption |
»» partner |
false |
none |
Data transfer object representing a streamlined partner profile within the Nakisa Portfolio Management Suite, encompassing essential details for portfolio, asset, and analytics management in the real estate property sector. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» status |
string |
false |
none |
Status of the resource |
»»» name |
string |
false |
none |
Name of the resource |
»»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»» partnerRole |
false |
none |
Data transfer object representing a simplified view of a partner’s role within the Nakisa Portfolio Management Suite, facilitating insights into portfolio, asset, and real estate property analytics. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» status |
string |
false |
none |
Status of the resource |
»»» name |
string |
false |
none |
Name of the resource |
»» taxCodeDetermination |
false |
none |
Data transfer object representing the details of tax code determination for assets within the Nakisa Portfolio Management Suite, facilitating accurate tax analytics and compliance for real estate properties in the portfolio. |
|
»»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»»» displayId |
string |
false |
none |
Unique identifier for the display |
»»» companyId |
integer(int64) |
false |
none |
Unique identifier for the company |
»»» partnerId |
integer(int64) |
false |
none |
none |
»»» taxJurisdictionId |
integer(int64) |
false |
none |
Unique identifier for the tax jurisdiction |
»»» taxJurisdictionDisplayId |
string |
false |
none |
Unique identifier for the tax jurisdiction display |
»»» defaultTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the default tax code |
»»» defaultTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the default tax code display |
»»» defaultExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the default exemption tax code |
»»» defaultExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the default exemption tax code display |
»»» defaultExemptionPercentage |
number |
false |
none |
Percentage of default exemption |
»»» mapping |
false |
none |
Data transfer object representing the mapping of tax codes to expense categories within the Nakisa Portfolio Management Suite, facilitating accurate financial analytics and reporting for real estate property portfolios. |
|
»»»» isLeaseExpense |
boolean |
false |
none |
Whether the resource is lease expense |
»»»» nonLeaseTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the non lease tax code |
»»»» nonLeaseTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the non lease tax code display |
»»»» nonLeaseExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the non lease exemption tax code |
»»»» nonLeaseExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the non lease exemption tax code display |
»»»» nonLeaseExemptionTaxPercentage |
number(double) |
false |
none |
Percentage of non lease exemption tax |
»»»» principalTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the principal tax code |
»»»» principalTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the principal tax code display |
»»»» principalExemptionTaxCodeId |
integer(int64) |
false |
none |
Unique identifier for the principal exemption tax code |
»»»» principalExemptionTaxCodeDisplayId |
string |
false |
none |
Unique identifier for the principal exemption tax code display |
»»»» principalExemptionTaxPercentage |
number(double) |
false |
none |
Percentage of principal exemption tax |
» numberRangeIdentifierType |
false |
none |
Data transfer object representing a numerical range identifier used for categorizing and analyzing assets within the Nakisa Portfolio Management Suite, specifically in the context of portfolio management, asset tracking, and real estate property analytics. |
|
»» name |
string |
false |
none |
Name of the resource |
» numberRangeIdentifierValue |
string |
false |
none |
Represents a unique string value that identifies a specific range of numbers associated with assets within the Nakisa Portfolio Management Suite, facilitating effective portfolio and asset analytics in real estate property management. |
» allowsSystemGenerateNewId |
boolean |
false |
none |
Unique identifier for the allows system generate new |
» numberRangeType |
false |
none |
Data transfer object representing a numerical range utilized in the Nakisa Portfolio Management Suite, specifically designed for portfolio and asset analytics within the real estate property domain. This schema facilitates precise data representation and analysis of asset values and performance metrics. |
|
»» name |
string |
true |
none |
Name of the resource |
Enumerated Values
Attribute |
Value |
|---|---|
expenseCategoryType |
CASH_INCENTIVE, CASUALTY, EXPECTED_GRV, INCENTIVE, NON_LEASE, PAYMENT, PURCHASE_OPTION, TERMINATION_OPTION |
status |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
Charge - Create Charge¶
HTTP Request
POST /api/charges
📋 Description: Creates a new charge entry within the Nakisa Portfolio Management Suite, enabling users to associate costs with specific assets and enhance financial analytics for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing charge details, including portfolio identifiers, asset information, and relevant analytics for real estate property management. |
Body Parameters
1{
2 "id": 0,
3 "displayId": "string",
4 "name": "string",
5 "description": "string",
6 "dueDate": "2019-08-24",
7 "amount": 0.1,
8 "hasPostedDocument": true,
9 "fiscalYear": 0,
10 "fiscalPeriod": 0,
11 "expenseCategory": {
12 "id": 0,
13 "displayId": "string",
14 "status": "CREATED",
15 "name": "string",
16 "expenseCategoryType": "PAYMENT"
17 },
18 "unitId": 0,
19 "unitDisplayId": "string",
20 "activationGroupId": 0,
21 "vendorPaymentSplits": [
22 {
23 "percentage": 0,
24 "calculateTax": true,
25 "taxExemptionPercentage": 0,
26 "partner": {
27 "id": 0,
28 "displayId": "string",
29 "status": "CREATED",
30 "name": "string",
31 "erpSystemDisplayId": "string"
32 },
33 "partnerRole": {
34 "id": 0,
35 "displayId": "string",
36 "status": "CREATED",
37 "name": "string"
38 },
39 "taxCodeDetermination": {
40 "id": 0,
41 "displayId": "string",
42 "companyId": 0,
43 "partnerId": 0,
44 "taxJurisdictionId": 0,
45 "taxJurisdictionDisplayId": "string",
46 "defaultTaxCodeId": 0,
47 "defaultTaxCodeDisplayId": "string",
48 "defaultExemptionTaxCodeId": 0,
49 "defaultExemptionTaxCodeDisplayId": "string",
50 "defaultExemptionPercentage": 0,
51 "mapping": {
52 "isLeaseExpense": true,
53 "nonLeaseTaxCodeId": 0,
54 "nonLeaseTaxCodeDisplayId": "string",
55 "nonLeaseExemptionTaxCodeId": 0,
56 "nonLeaseExemptionTaxCodeDisplayId": "string",
57 "nonLeaseExemptionTaxPercentage": 0.1,
58 "principalTaxCodeId": 0,
59 "principalTaxCodeDisplayId": "string",
60 "principalExemptionTaxCodeId": 0,
61 "principalExemptionTaxCodeDisplayId": "string",
62 "principalExemptionTaxPercentage": 0.1
63 }
64 }
65 }
66 ],
67 "numberRangeIdentifierType": {
68 "name": "string"
69 },
70 "numberRangeIdentifierValue": "string",
71 "allowsSystemGenerateNewId": true,
72 "numberRangeType": {
73 "name": "string"
74 }
75}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Example Responses
1{
2 "id": 0,
3 "displayId": "string",
4 "name": "string",
5 "description": "string",
6 "dueDate": "2019-08-24",
7 "amount": 0.1,
8 "hasPostedDocument": true,
9 "fiscalYear": 0,
10 "fiscalPeriod": 0,
11 "expenseCategory": {
12 "id": 0,
13 "displayId": "string",
14 "status": "CREATED",
15 "name": "string",
16 "expenseCategoryType": "PAYMENT"
17 },
18 "unitId": 0,
19 "unitDisplayId": "string",
20 "activationGroupId": 0,
21 "vendorPaymentSplits": [
22 {
23 "percentage": 0,
24 "calculateTax": true,
25 "taxExemptionPercentage": 0,
26 "partner": {
27 "id": 0,
28 "displayId": "string",
29 "status": "CREATED",
30 "name": "string",
31 "erpSystemDisplayId": "string"
32 },
33 "partnerRole": {
34 "id": 0,
35 "displayId": "string",
36 "status": "CREATED",
37 "name": "string"
38 },
39 "taxCodeDetermination": {
40 "id": 0,
41 "displayId": "string",
42 "companyId": 0,
43 "partnerId": 0,
44 "taxJurisdictionId": 0,
45 "taxJurisdictionDisplayId": "string",
46 "defaultTaxCodeId": 0,
47 "defaultTaxCodeDisplayId": "string",
48 "defaultExemptionTaxCodeId": 0,
49 "defaultExemptionTaxCodeDisplayId": "string",
50 "defaultExemptionPercentage": 0,
51 "mapping": {
52 "isLeaseExpense": true,
53 "nonLeaseTaxCodeId": 0,
54 "nonLeaseTaxCodeDisplayId": "string",
55 "nonLeaseExemptionTaxCodeId": 0,
56 "nonLeaseExemptionTaxCodeDisplayId": "string",
57 "nonLeaseExemptionTaxPercentage": 0.1,
58 "principalTaxCodeId": 0,
59 "principalTaxCodeDisplayId": "string",
60 "principalExemptionTaxCodeId": 0,
61 "principalExemptionTaxCodeDisplayId": "string",
62 "principalExemptionTaxPercentage": 0.1
63 }
64 }
65 }
66 ],
67 "numberRangeIdentifierType": {
68 "name": "string"
69 },
70 "numberRangeIdentifierValue": "string",
71 "allowsSystemGenerateNewId": true,
72 "numberRangeType": {
73 "name": "string"
74 }
75}
Charge - Reverse Charge For Main Accounting Standard¶
HTTP Request
POST /api/charges/{chargeId}/reverse/main-accounting-standard
📋 Description: Reverses a charge associated with a specific asset in the Nakisa Portfolio Management Suite, ensuring accurate financial reporting and compliance within the main accounting standard framework. This operation is essential for maintaining the integrity of portfolio analytics and real estate property management.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
chargeId |
path |
integer(int64) |
true |
Unique identifier for the charge |
body |
body |
true |
Request body containing the reversal details for the specified charge, including relevant financial data and metadata necessary for accurate main accounting adjustments within the Nakisa Portfolio Management Suite. |
Body Parameters
1{
2 "reversal": true,
3 "reversalReason": {
4 "id": 0,
5 "displayId": "string"
6 },
7 "documentDate": "2019-08-24",
8 "postingDate": "2019-08-24",
9 "activationGroupRevisionId": 0,
10 "unitId": 0,
11 "journalId": 0,
12 "comments": "string",
13 "type": "PAYMENT",
14 "allowedReverseOnReclassification": true,
15 "revertRevisionInProcess": true,
16 "revertInActiveRevisionInProcess": true
17}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "postingResults": [
3 {
4 "unitId": 0,
5 "journalId": 0,
6 "success": true,
7 "errorMessage": "string",
8 "skipped": true,
9 "retryable": true
10 }
11 ],
12 "successForAllPostings": true,
13 "retryable": true,
14 "errorMessage": "string"
15}
Charge - Post Charge For Main Accounting Standard¶
HTTP Request
POST /api/charges/{chargeId}/post/main-accounting-standard
📋 Description: Posts the main accounting standard for a specified charge within the Nakisa Portfolio Management Suite, facilitating accurate financial reporting and compliance for portfolio and asset management in the real estate sector.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
chargeId |
path |
integer(int64) |
true |
Unique identifier for the charge |
body |
body |
true |
Request body containing the main accounting standard details for the specified charge, including relevant financial metrics and compliance information for effective portfolio and asset management. |
Body Parameters
1{
2 "reversal": true,
3 "reversalReason": {
4 "id": 0,
5 "displayId": "string"
6 },
7 "documentDate": "2019-08-24",
8 "postingDate": "2019-08-24",
9 "activationGroupRevisionId": 0,
10 "unitId": 0,
11 "journalId": 0,
12 "comments": "string",
13 "type": "PAYMENT",
14 "allowedReverseOnReclassification": true,
15 "revertRevisionInProcess": true,
16 "revertInActiveRevisionInProcess": true
17}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "postingResults": [
3 {
4 "unitId": 0,
5 "journalId": 0,
6 "success": true,
7 "errorMessage": "string",
8 "skipped": true,
9 "retryable": true
10 }
11 ],
12 "successForAllPostings": true,
13 "retryable": true,
14 "errorMessage": "string"
15}
Charge - Search Charge¶
HTTP Request
POST /api/charges/search
📋 Description: Submits a request to search for charges related to assets within the Nakisa Portfolio Management Suite, enabling users to analyze financial data associated with real estate properties and portfolios.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing search criteria and filters for retrieving portfolio and asset analytics related to real estate properties. |
Body Parameters
1{
2 "idIn": [
3 0
4 ],
5 "idEqual": 0,
6 "idLike": "string",
7 "createdAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
8 "createdAtLessThanOrEqual": "2019-08-24T14:15:22Z",
9 "createdByLike": "string",
10 "createdByEqual": "string",
11 "modifiedAtGreaterThanOrEqual": "2019-08-24T14:15:22Z",
12 "modifiedAtLessThanOrEqual": "2019-08-24T14:15:22Z",
13 "modifiedByLike": "string",
14 "modifiedByEqual": "string",
15 "displayIdIn": [
16 "string"
17 ],
18 "displayIdLike": "string",
19 "nameLike": "string",
20 "dueDateGreaterThanOrEqual": "2019-08-24",
21 "dueDateLessThanOrEqual": "2019-08-24",
22 "expenseCategoryIdIn": [
23 0
24 ],
25 "expenseCategoryDisplayIdIn": [
26 "string"
27 ],
28 "unitIdIn": [
29 0
30 ],
31 "unitDisplayIdIn": [
32 "string"
33 ],
34 "activationGroupIdIn": [
35 0
36 ]
37}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "totalElements": 0,
3 "totalPages": 0,
4 "pageable": {
5 "pageNumber": 0,
6 "pageSize": 0,
7 "unpaged": true,
8 "paged": true,
9 "offset": 0,
10 "sort": {
11 "sorted": true,
12 "unsorted": true,
13 "empty": true
14 }
15 },
16 "numberOfElements": 0,
17 "size": 0,
18 "content": [
19 {
20 "id": 0,
21 "displayId": "string",
22 "name": "string",
23 "description": "string",
24 "dueDate": "2019-08-24",
25 "amount": 0.1,
26 "hasPostedDocument": true,
27 "fiscalYear": 0,
28 "fiscalPeriod": 0,
29 "expenseCategory": {
30 "id": 0,
31 "displayId": "string",
32 "status": "CREATED",
33 "name": "string",
34 "expenseCategoryType": "PAYMENT"
35 },
36 "unitId": 0,
37 "unitDisplayId": "string",
38 "activationGroupId": 0,
39 "vendorPaymentSplits": [
40 {
41 "percentage": 0,
42 "calculateTax": true,
43 "taxExemptionPercentage": 0,
44 "partner": {
45 "id": 0,
46 "displayId": "string",
47 "status": "CREATED",
48 "name": "string",
49 "erpSystemDisplayId": "string"
50 },
51 "partnerRole": {
52 "id": 0,
53 "displayId": "string",
54 "status": "CREATED",
55 "name": "string"
56 },
57 "taxCodeDetermination": {
58 "id": 0,
59 "displayId": "string",
60 "companyId": 0,
61 "partnerId": 0,
62 "taxJurisdictionId": 0,
63 "taxJurisdictionDisplayId": "string",
64 "defaultTaxCodeId": 0,
65 "defaultTaxCodeDisplayId": "string",
66 "defaultExemptionTaxCodeId": 0,
67 "defaultExemptionTaxCodeDisplayId": "string",
68 "defaultExemptionPercentage": 0,
69 "mapping": {
70 "isLeaseExpense": true,
71 "nonLeaseTaxCodeId": 0,
72 "nonLeaseTaxCodeDisplayId": "string",
73 "nonLeaseExemptionTaxCodeId": 0,
74 "nonLeaseExemptionTaxCodeDisplayId": "string",
75 "nonLeaseExemptionTaxPercentage": 0.1,
76 "principalTaxCodeId": 0,
77 "principalTaxCodeDisplayId": "string",
78 "principalExemptionTaxCodeId": 0,
79 "principalExemptionTaxCodeDisplayId": "string",
80 "principalExemptionTaxPercentage": 0.1
81 }
82 }
83 }
84 ],
85 "numberRangeIdentifierType": {
86 "name": "string"
87 },
88 "numberRangeIdentifierValue": "string",
89 "allowsSystemGenerateNewId": true,
90 "numberRangeType": {
91 "name": "string"
92 }
93 }
94 ],
95 "number": 0,
96 "sort": {
97 "sorted": true,
98 "unsorted": true,
99 "empty": true
100 },
101 "first": true,
102 "last": true,
103 "empty": true
104}
Charge - Delete Charge¶
HTTP Request
DELETE /api/charges/{id}
📋 Description: Deletes a specified charge from the Nakisa Portfolio Management Suite, enabling users to maintain accurate financial records within their portfolio and asset management processes.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |